---
title: pdfgrep
---
<div class="container">
<section class="hero has-text-centered">
  <div class="hero-body">
    <h1 class="title is-1 is-spaced mr-title-face">pdfgrep</h1>
    <p class="subtitle">a commandline utility to search text in PDF files</p>
    <img src="images/screenshot.png" alt="Screenshot of pdfgrep" class="screenshot">
    <div class="hero-buttons">
      <a href="$latesttar$" class="button is-primary">
	<span class="icon"><i class="fa fa-download"></i></span>
	<span>Download v$latestversion$</span>
      </a>
      <pre class="gitclone">
	<code>git clone https://gitlab.com/pdfgrep/pdfgrep.git</code>
      </pre>
    </div>
  </div>
</section>

<section class="section">
  <h1 class="title-underline is-2">Features</h1>

  <div>
    <div class="tile is-anchestor">
      <div class="tile is-5 is-vertical">
	<div class="tile is-parent">
	  <article class="feature">
	    <h3 class="title is-5">Grep compatible</h3>
	    <p>pdfgrep tries to be compatible with <a href="http://www.gnu.org/software/grep/" class="is-link">GNU Grep</a>,
	    where it makes sense. Many of your favorite grep options are supported (such as
	    <code>-r</code>, <code>-i</code>, <code>-n</code> or <code>-c</code>).</p>
	  </article>
	</div>
	<div class="tile is-parent">
	  <article class="feature">
	    <h3 class="title is-5">Search multiple PDFs</h3>
	    <p>Forgot which PDF contained some information? No problem, just search all of them for the
	    relevant keywords.</p>
	  </article>
	</div>
      </div>
      <div class="tile is-7 is-vertical">
	<div class="tile is-parent">
	  <article class="feature">
	    <h3 class="title is-5">Color highlights</h3>
	    <p>GNU Grep's <code>--color</code> option is supported and enabled by default.</p>
	  </article>
	</div>
	<div class="tile is-parent">
	  <article class="feature">
	    <h3 class="title is-5">Regular expressions</h3>
	    <p>Use the full power of regular expressions for your search! pdfgrep
	    supports POSIX as well as perl compatible regular expressions
	    (PCRE).</p>
	  </article>
	</div>
	<div class="tile is-parent">
	  <article class="feature">
	    <h3 class="title is-5">Free software</h3>
	    <p>pdfgrep is licensed under the GPL version 2 or later.</p>
	  </article>
	</div>
      </div>
    </div>
  </div>
</section>
</div>
